/* 
    File: ISTest7.C
*/

#include <string>
#include <iostream>

#include "ISTable.h"

using namespace std;


// prototypes

void FillTestTable1(ISTable *s);
void FillTestTable2(ISTable *s);

int main(int argc, char** argv) {
  ISTable *ss1, *ss2;
  vector<int> colIndex;
  vector<string> colName;

  ss1 = new ISTable("Table1");
  FillTestTable1(ss1);

  ss2 = new ISTable("Table2");
  FillTestTable2(ss2);

  cout << (*ss1);
  colName.push_back("start_v");
  ss1->CreateKey(colName);
  cout << (*ss2);
  ss2->CreateKey(colName);

  ss1->PrintDiff(*ss2);

  delete ss1;
  delete ss2;
  exit(0);
}



void FillTestTable1(ISTable *s) {
 int i;
 vector<string>* ColStart;
 vector<string>* ColEnd;
 vector<string>* ColLen;
 ColStart = new vector<string>;
 ColEnd = new vector<string>;
 ColLen = new vector<string>;
 string length;
 char a[5];
 s->AddColumn("start_v");
 s->AddColumn("end_v");
 s->AddColumn("lenght");

 for (i=0; i<10; i++) {
   sprintf(a,"%d",49-i);
   length = a;
	ColStart->push_back(length);
   sprintf(a,"%d",i);
   length = a;
	ColEnd->push_back(length);
	ColLen->push_back(length);
 }

 s->FillColumn("start_v", *ColStart);
 s->FillColumn("end_v", *ColEnd);
 s->FillColumn("lenght", *ColLen);

 delete ColStart;
 delete ColEnd;
 delete ColLen;
}


void FillTestTable2(ISTable *s) {
 int i;
 vector<string>* ColStart;
 vector<string>* ColEnd;
 vector<string>* ColLen;
 ColStart = new vector<string>;
 ColEnd = new vector<string>;
 ColLen = new vector<string>;
 string length;
 char a[5];
 s->AddColumn("lp_lenght");
 s->AddColumn("start_v");
 s->AddColumn("end_v");

 for (i=0; i<10; i++) {
   sprintf(a,"%d",42-i);
   length = a;
	ColStart->push_back(length);
   sprintf(a,"%d",i);
   length = a;
	ColEnd->push_back(length);
   sprintf(a,"%d",10-i);
   length = a;
	ColLen->push_back(length);
 }

 s->FillColumn("lp_lenght", *ColLen);
 s->FillColumn("start_v", *ColStart);
 s->FillColumn("end_v", *ColEnd);

 delete ColStart;
 delete ColEnd;
 delete ColLen;
}
